| TagLib 1.13 |  |

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
TagLib::ID3v2::UniqueFileIdentifierFrame Class Reference

An implementation of ID3v2 unique identifier frames. More...

`#include <uniquefileidentifierframe.h>`

Inheritance diagram for TagLib::ID3v2::UniqueFileIdentifierFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::UniqueFileIdentifierFrame:
[legend]

## Public Member Functions
| UniqueFileIdentifierFrame (const ByteVector &data)
| UniqueFileIdentifierFrame (const String &owner, const ByteVector &id)
| ~UniqueFileIdentifierFrame ()
String | owner () const
ByteVector | identifier () const
void | setOwner (const String &s)
void | setIdentifier (const ByteVector &v)
virtual String | toString () const
PropertyMap | asProperties () const
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
ByteVector | frameID () const
unsigned int | size () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual String | toString () const =0
ByteVector | render () const
TAGLIB_DEPRECATED | Header (const ByteVector &data, bool synchSafeInts)
| Header (const ByteVector &data, unsigned int version=4)
virtual | ~Header ()
TAGLIB_DEPRECATED void | setData (const ByteVector &data, bool synchSafeInts)
void | setData (const ByteVector &data, unsigned int version=4)
ByteVector | frameID () const
void | setFrameID (const ByteVector &id)
unsigned int | frameSize () const
void | setFrameSize (unsigned int size)
unsigned int | version () const
void | setVersion (unsigned int version)
bool | tagAlterPreservation () const
void | setTagAlterPreservation (bool discard)
bool | fileAlterPreservation () const
bool | readOnly () const
bool | groupingIdentity () const
bool | compression () const
bool | encryption () const
bool | unsynchronisation () const
bool | dataLengthIndicator () const
ByteVector | render () const
TAGLIB_DEPRECATED bool | frameAlterPreservation () const

## Static Public Member Functions
static UniqueFileIdentifierFrame * | findByOwner (const Tag *tag, const String &o)
Static Public Member Functions inherited from TagLib::ID3v2::Frame
static Frame * | createTextualFrame (const String &key, const StringList &values)
static unsigned int | headerSize ()
static unsigned int | headerSize (unsigned int version)
static ByteVector | textDelimiter (String::Type t)
static unsigned int | size ()
static unsigned int | size (unsigned int version)

## Protected Member Functions
virtual void | parseFields (const ByteVector &data)
virtual ByteVector | renderFields () const
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
Header * | header () const
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
virtual void | parseFields (const ByteVector &data)=0
virtual ByteVector | renderFields () const =0
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=0)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
PropertyMap | asProperties () const

## Friends
class | FrameFactory

## Additional Inherited Members
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static String::Type | checkEncoding (const StringList &fields, String::Type encoding)
static String::Type | checkEncoding (const StringList &fields, String::Type encoding, unsigned int version)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
static String | keyToTXXX (const String &)
static String | txxxToKey (const String &)
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

An implementation of ID3v2 unique identifier frames.

This is an implementation of ID3v2 unique file identifier frames. This frame is used to identify the file in an arbitrary database identified by the owner field.

## Constructor & Destructor Documentation

## ◆ UniqueFileIdentifierFrame() [1/2]

TagLib::ID3v2::UniqueFileIdentifierFrame::UniqueFileIdentifierFrame | ( | const ByteVector & | data | ) |

Creates a unique file identifier frame based on data.

## ◆ UniqueFileIdentifierFrame() [2/2]

TagLib::ID3v2::UniqueFileIdentifierFrame::UniqueFileIdentifierFrame | ( | const String & | owner,
|  | const ByteVector & | id
| ) |  |

Creates a unique file identifier frame with the owner owner and the identification id.

## ◆ ~UniqueFileIdentifierFrame()

TagLib::ID3v2::UniqueFileIdentifierFrame::~UniqueFileIdentifierFrame | ( |  | ) |

Destroys the frame.

## Member Function Documentation

## ◆ asProperties()

PropertyMap TagLib::ID3v2::UniqueFileIdentifierFrame::asProperties | ( |  | ) | const

## ◆ findByOwner()

static UniqueFileIdentifierFrame * TagLib::ID3v2::UniqueFileIdentifierFrame::findByOwner | ( | const Tag * | tag,
|  | const String & | o
| ) |  |
| static

UFID frames each have a unique owner. This searches for a UFID frame with the owner o and returns a pointer to it.

See also
  owner()

## ◆ identifier()

ByteVector TagLib::ID3v2::UniqueFileIdentifierFrame::identifier | ( |  | ) | const

Returns the unique identifier. Though sometimes this is a text string it also may be binary data and as much should be assumed when handling it.

## ◆ owner()

String TagLib::ID3v2::UniqueFileIdentifierFrame::owner | ( |  | ) | const

Returns the owner for the frame; essentially this is the key for determining which identification scheme this key belongs to. This will usually either be an email address or URL for the person or tool used to create the unique identifier.

See also
  setOwner()

## ◆ parseFields()

virtual void TagLib::ID3v2::UniqueFileIdentifierFrame::parseFields | ( | const ByteVector & | data | ) |
| protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ renderFields()

virtual ByteVector TagLib::ID3v2::UniqueFileIdentifierFrame::renderFields | ( |  | ) | const
| protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

## ◆ setIdentifier()

void TagLib::ID3v2::UniqueFileIdentifierFrame::setIdentifier | ( | const ByteVector & | v | ) |

Sets the unique file identifier to v.

See also
  identifier()

## ◆ setOwner()

void TagLib::ID3v2::UniqueFileIdentifierFrame::setOwner | ( | const String & | s | ) |

Sets the owner of the identification scheme to s.

See also
  owner()

## ◆ toString()

virtual String TagLib::ID3v2::UniqueFileIdentifierFrame::toString | ( |  | ) | const
| virtual

This returns the textual representation of the data in the frame. Subclasses must reimplement this method to provide a string representation of the frame's data.

Implements TagLib::ID3v2::Frame.

## Friends And Related Function Documentation

## ◆ FrameFactory

friend class FrameFactory
| friend

The documentation for this class was generated from the following file:

- uniquefileidentifierframe.h